user  nginx;
worker_processes  auto;

error_log  /var/log/nginx/error.log notice;
pid        /var/run/nginx.pid;

events {
  worker_connections  4096;  ## Default: 1024
}

http {
    server_tokens off;
    client_max_body_size 200M;
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;
    log_format  main  '$remote_addr - $remote_user [$time_iso8601] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for" "$request_body"';
    access_log  /var/log/nginx/access.log  main;
    sendfile        on;
    #tcp_nopush     on;
    keepalive_timeout  65;
    #gzip  on;
    include /etc/nginx/conf.d/*.conf;
    server {
        listen              443 ssl;
        server_name         localhost;
        ssl_certificate     /etc/nginx/localhost.crt;
        ssl_certificate_key /etc/nginx/localhost.key;
        root        /usr/share/nginx/html;
        location /log {
          proxy_pass https://localhost/;
        }
    }
}